/* @import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&display=swap'); */


:root {
    --h1-font-size: 2.25rem;
    --h3-font-size: 1.25rem;
    --descripcion-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;

    --color-bg: #fadac4;
    /* --color-bg: #ffccaa; */
    --color-text: #5e3609;
    --color-text-h3: #3d2305;
    --color-text-p: #442605;
    --color-hover: #c9802e;

    --color-bg-btn: #f0d1c4;
    --color-border-btn: #6b3e0a;
    --color-text-btn: #462807;
    --color-shadow-btn-hover: #3b3b3b;

    /* --color-bg-promo-card: #eeeeee; */
    --color-bg-promo-card: #f0ddd1;

    --color-bg-service-card: #f9f9f9;


}

/* Reset and base styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* outline: solid 1px red; */
}

body {
    font-family: "Quicksand", sans-serif;
    line-height: 1.6;
    color: var(--color-text);
    background-color: var(--color-bg);
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

hr {
    margin: 0;
    opacity: .5;
    border: .5px solid var(--color-hover);
}

/* ========== Scroll Bar ========== */
body {
    --sb-track-color: #f9f9f9;
    --sb-thumb-color: #6b3e0a;
    --sb-size: 10px;
}

body::-webkit-scrollbar {
    width: var(--sb-size)
}

body::-webkit-scrollbar-track {
    background: var(--sb-track-color);
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 5px;
}

body::-webkit-scrollbar-thumb {
    background: var(--sb-thumb-color);
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
    border-radius: 5px;

}

@supports not selector(::-webkit-scrollbar) {
    body {
        scrollbar-color: var(--sb-thumb-color) var(--sb-track-color);
    }
}



/** ===== Boton de whatsapp flotante ===== */
.whatsapp-btn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #25D366;
    color: white;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.4);
    transition: transform 0.3s;
    z-index: 1500;
}

.whatsapp-btn:hover {
    transform: scale(1.1);
}

.whatsapp-btn i {
    font-size: 35px;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.btn {
    display: inline-block;
    /* max-width: 12em; */
    width: 18em;
    text-align: center;
    height: 3.8em;
    line-height: 3.5em;
    overflow: hidden;
    cursor: pointer;
    margin: 5px;
    padding: 0 10px;
    font-size: 18px;
    font-weight: 500;
    z-index: 1;
    background-color: var(--color-bg-btn);
    color: var(--color-text-btn);
    border: 2px solid var(--color-border-btn);
    border-radius: 6px;
    position: relative;
    transition: .3s ease;
}

.btn:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 6px var(--color-shadow-btn-hover);
    cursor: pointer;
}

/** ========== Header styles ========== */
header {
    position: fixed;
    width: 100%;
    z-index: 1200;
    background: #ffe9da;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 5%;
}

/* Logo texto header */
.logo {
    font-size: 1.8rem;
    font-weight: bold;
    color: #7a5d5d;
    text-shadow: 0 1px 0 #ccc, 0 2px 0 #c9c9c9, 0 3px 0 #bbb, 0 4px 0 #b9b9b9, 0 5px 0 #aaa, 0 6px 1px rgba(0, 0, 0, .1), 0 0 5px rgba(0, 0, 0, .1), 0 1px 3px rgba(0, 0, 0, .3), 0 3px 5px rgba(0, 0, 0, .2), 0 5px 10px rgba(0, 0, 0, .25), 0 10px 10px rgba(0, 0, 0, .2), 0 20px 20px rgba(0, 0, 0, .15);
}

.hamburger {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
    cursor: pointer;
    z-index: 1001;
}

.hamburger span {
    display: block;
    height: 3px;
    width: 100%;
    background-color: #7a5d5d;
    transition: all .3s ease;
}

.nav-links {
    display: flex;
    list-style: none;
    gap: 1.5rem;
}

.nav-link {
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    color: #2c1810;
    transition: color .3s;
}

.nav-link:hover,
.nav-link.active {
    color: #7a5d5d;
}

.nav-link.active {
    text-decoration: underline;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

/** ========== Hero section styles ========== */
.hero {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    min-height: 100vh;
}

.hero-container {
    display: flex;
    max-width: 1200px;
    width: 100%;
}

.hero-img {
    flex: 1;
    max-width: 50%;
}

.hero-img img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 10px;
}

.hero-content {
    flex: 1;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.hero-title {
    font-size: 3.5rem;
    margin-bottom: 1rem;
    line-height: normal;
    color: var(--color-text);
    text-shadow: 2px 2px 4px rgba(255, 255, 255, 0.5);
}

.hero-description {
    font-size: 1.2rem;
    margin-bottom: 2rem;
    color: #2b2b2b;
    font-weight: 500;
}

.hero-text {
    font-size: 1.2rem;
    color: #333;
    animation: jumpText 2s ease infinite;
}

@keyframes jumpText {

    0%,
    100% {
        transform: translateY(0px);
    }

    60% {
        transform: translateY(25px);
    }
}



/** ===== PROMOS DESTACADAS SECTION ===== */
.promos-destacadas {
    padding: 4rem 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.destacadas-swiper-container .destacadas-card-wrapper {
    max-width: 1100px;
    margin: 0 60px 35px;
    padding: 20px 10px;
    overflow: hidden;
}

.destacadas-card-wrapper .swiper-pagination-bullet {
    width: 13px;
    height: 13px;
    opacity: .5;
    background-color: var(--color-hover);
}

.destacadas-card-wrapper .swiper-pagination-bullet-active {
    opacity: 1;
}

.destacadas-card-wrapper .swiper-slide-button {
    color: var(--color-border-btn);
    margin-top: -35px;
}

.destacadas-swiper-container .promo-card {
    height: auto;
    overflow: hidden;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
    transition: .3s;
}

.destacadas-swiper-container .promo-card .image-container {
    margin-bottom: 0;
}

.destacadas-swiper-container .promo-card .image-container:hover img {
    cursor: zoom-in;
    transform: none;
}

.destacadas-swiper-container .promo-card:hover {
    transform: translateY(-5px);
}

.destacadas-swiper-container .swiper-slide .swiper-img {
    display: block;
    width: 100%;
    object-fit: cover;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    cursor: zoom-in;
}

.destacadas-swiper-container .swiper-slide .swiper-card-content {
    padding: 1rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.destacadas-swiper-container .swiper-slide .swiper-card-title,
.destacadas-swiper-container .swiper-slide .swiper-card-description {
    margin-bottom: .5rem;
    text-align: center;
}

.destacadas-swiper-containerr .swiper-slide .swiper-card-link {
    text-align: center;

}

.destacadas-swiper-container .swiper-slide .swiper-card-link a {
    text-decoration: underline;
    color: var(--color-text-btn);
    font-weight: 500;
    cursor: pointer;
}

.destacadas-swiper-container .swiper-slide .swiper-card-link a:hover {
    color: var(--color-hover);
}


/** ========== PROMOTIONS SECTION STYLES ========== */
.promotions {
    padding: 4rem 0;
}

.promos-destacadas h2,
.promotions h2,
.services h2,
.about h2,
.testimonials h2,
.gallery h2,
.contact h2 {
    text-align: center;
    font-size: 2.5rem;
    margin-bottom: 2rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.promo-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2rem;
}

.promo-card {
    background-color: var(--color-bg-promo-card);
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: .3s;
}

.promo-card:hover {
    filter: drop-shadow(0 4px 10px rgba(0, 0, 0, 0.2));
}

.promo-card img {
    width: 100%;
    object-fit: cover;
    transition: transform .3s ease;
}

.promo-card .image-container {
    position: relative;
    overflow: hidden;
}

.promo-card .image-container img {
    width: 100%;
    height: auto;
    transition: transform 0.3s ease;
}

/** etiqueta para la promo */
.promo-card .promo-tag {
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: #e74c3c;
    color: white;
    padding: 4px 8px;
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    z-index: 10;
    text-transform: uppercase;
    letter-spacing: .5px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
}

/* Etiquetas especificas */
.promo-tag.popular {
    background-color: #f1c72d;
    color: #333;
}
.promo-tag.descuento {
    background-color: #2ecc71;
}
.promo-tag.otonio {
    background-color: #e67e22;
}
.promo-tag.superPromo {
    background-color: #1e5799;
}
.promo-tag.friends {
    background-color: #991e93;
}
.promo-tag.maestro {
    background-color: #447a6c;
}

.promo-tag.mama {
    background-color: #944d8f;
}

/* Icono lupa */
.promo-card .image-container .lupa {
    position: absolute;
    bottom: 15px;
    right: 10px;
    width: 30px;
    height: auto;
    background-color: #fff;
    color: #333;
    padding: 8px;
    border-radius: 100%;
    z-index: 10;
}

.promo-card .image-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease;
    cursor: zoom-in;
}

.promo-card .image-overlay i {
    color: white;
    font-size: 24px;
}

.promo-card .image-container:hover .image-overlay {
    opacity: 1;
}

.promo-card .image-container:hover img {
    transform: scale(1.05);
}

.image-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    justify-content: center;
    align-items: center;
    z-index: 2000;
}

.image-popup img {
    max-width: 80%;
    max-height: 80%;
    object-fit: contain;
}

.close-image-popup {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
    cursor: pointer;
}

.close-image-popup:hover,
.close-image-popup:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

.promo-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    height: 24rem;
    padding: .5rem 1.3rem 1.3rem 1.3rem;
}

/* mini etiquetas */
.feature-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 6px;
}

.feature-tag {
    background-color: #dfdfdf;
    color: var(--color-text-p);
    padding: 3px 8px;
    border-radius: 4px;
    font-size: 11px;
    font-weight: 500;
    border: 1px solid #ffd2ac;
    white-space: nowrap;
}

.promo-content h3 {
    color: var(--color-text-h3);
    font-size: 1.5rem;
    margin-bottom: .5rem;
}

.promo-content p {
    color: var(--color-text-p);
    font-weight: 450;
    margin-bottom: 1.5rem;
}

/* Promo Popup */
.promo-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
    transition: opacity .3s ease, visibility .3s ease;
    z-index: 1500;
}

.promo.popup.active {
    opacity: 1;
    visibility: visible;
}

.promo-popup-content {
    max-width: 400px;
    max-height: 400px;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    text-align: center;
}

.promo-popup-content p a {
    text-decoration: underline;
}

/* Boton aceptar de la promo popup */
.promo-popup-accept-btn {
    padding: 12px 20px;
    border-radius: 6px;
    background-color: var(--color-hover);
    border: 0;
    font-weight: 600;
    cursor: pointer;
    transition: .15s ease;
}

.promo-popup-accept-btn:hover {
    color: #fff;
    background-color: var(--color-border-btn);
}

/* Boton cancelar de la promo popup */
.promo-popup-cancel-btn {
    padding: 12px 20px;
    border-radius: 6px;
    background-color: transparent;
    border: 0;
    font-weight: 600;
    cursor: pointer;
    transition: .15s ease;
}

.promo-popup-cancel-btn:hover {
    background-color: #dfdad7;
}

/** ========== Services section styles ========== */
.services {
    padding: 4rem 0;
}

.service-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 2rem;
}

.service-card {
    text-align: center;
    padding: 2rem;
    background-color: var(--color-bg-service-card);
    border-radius: 5px;
    border: .5px solid var(--color-border-btn);
    transition: .3s;
}

.service-card:hover {
    border-radius: 15% 5px 15% 5px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.service-card img {
    /* width: 70%; */
    margin-bottom: 1rem;
    /* clip-path: circle(50% at 50% 50%); */
}

/* Boton de service card */
.service-btn {
    font-size: 14px;
    font-family: inherit;
    font-weight: 800;
    color: var(--color-text);
    cursor: pointer;
    position: absolute;
    bottom: 10px;
    left: 10px;
    cursor: pointer;
    border: none;
    background: none;
    transition-timing-function: cubic-bezier(0.25, 0.8, 0.25, 1);
    transition-duration: 400ms;
    transition-property: color;
}

.service-btn:focus,
.service-btn:hover {
    color: var(--color-border-btn);
}

.service-btn:focus:after,
.service-btn:hover:after {
    width: 100%;
    left: 0%;
}

.service-btn:after {
    content: "";
    pointer-events: none;
    bottom: -2px;
    left: 50%;
    position: absolute;
    width: 0%;
    height: 2px;
    background-color: var(--color-hover);
    transition-timing-function: cubic-bezier(0.25, 0.8, 0.25, 1);
    transition-duration: 400ms;
    transition-property: width, left;
}

/* --- Popup de Servicios --- */
.popup-servicios {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2000;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.popup-servicios.active {
    opacity: 1;
    visibility: visible;
}

.popup-servicios-content {
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    width: 90%;
    position: relative;
    padding: 20px;
    max-width: 500px;
    max-height: 80vh;
    overflow-y: auto;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
}

.popup-servicios-img {
    max-width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 6px;
}

.popup-servicios-title {
    font-size: 1.2rem;
    margin-bottom: 5px;
    color: #333;
    text-decoration: underline;
}

.popup-servicios-description {
    font-weight: 500;
    color: #666;
    line-height: 1.6;
}

.popup-servicios-close {
    position: absolute;
    color: #fff;
    background: none;
    border: none;
    top: 15px;
    right: 35px;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;

}

.popup-servicios-close:hover {
    transform: rotate(90deg);
    color: #a51f1f;
}

@media (min-width: 768px) {
    .popup-content {
        grid-template-columns: 1fr 1fr;
    }
}


/* ========== About section styles ========== */
.about {
    padding: 4rem 0;
}

.about-content {
    display: flex;
    align-items: center;
    gap: 2rem;
}

.img-about-inicio {
    width: 45%;
    border-radius: 10px;
    filter: drop-shadow(0px 4px 10px rgba(0, 0, 0, 1));
    transition: .3s;
}

.img-about-inicio:hover {
    transform: translateY(-5px);
}

.about-text {
    font-size: 1.2rem;
    font-weight: 500;
    flex: 1;
}

.about-text ul {
    list-style: circle;
    margin-left: 2rem;
}

/* ========== Testimonials section styles viejo ========== */
/* .testimonials {
    padding: 4rem 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
} */

/* .swiper-container {
    width: 100%;
    display: flex;
    justify-content: center;
} */

/* .swiper-container .card-wrapper {
    max-width: 1100px;
    margin: 0 60px 35px;
    padding: 20px 10px;
    overflow: hidden;
} */

/* .swiper-container .card-div {
    height: 300px;
    user-select: none;
    display: block;
    background: #f0f0f0;
    padding: 18px;
    border-radius: 12px;
    text-decoration: none;
    border: 1px solid #6b3e0a;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.05);
    display: flex;
    align-items: center;
    justify-content: center;
} */

/* .testimonials .swiper-container .card-div .testimonial-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
} */

/* .card-wrapper .swiper-pagination-bullet {
    width: 13px;
    height: 13px;
    opacity: .5;
    background-color: var(--color-hover);
} */

/* .card-wrapper .swiper-pagination-bullet-active {
    opacity: 1;
} */

/* .card-wrapper .swiper-slide-button {
    color: var(--color-border-btn);
    margin-top: -35px;
} */

/* .testimonial-slider {
    width: 100%;
    max-width: 800px;
    overflow: hidden;
    position: relative;
} */

/* .testimonial-container {
    display: flex;
    transition: transform 0.5s ease;
} */

/* .testimonial-card {
    flex: 0 0 100%;
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 2rem;
    text-align: center;
} */

/* .stars {
    color: #ffd700;
    font-size: 1.5rem;
    margin-bottom: 1rem;
} */

/* .testimonial-text {
    font-style: italic;
    margin-bottom: 1rem;
} */

/* .testimonial-author {
    font-weight: bold;
} */

/* Testimonial button compartir experiencia */
/* .share-experience { */
/* outline: 0;
    border: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 160px;
    height: 60px;
    border-radius: 10px; */

/* color efecto shadow del boton en estado normal */
/* box-shadow: 0 0.625em 1em 0 rgba(255, 217, 0, 0.32);
    overflow: hidden;
    margin-top: 2rem;
    font-size: 1rem; */

/* } */

/* .share-experience div {
    transform: translateY(0px);
    width: 100%;
} */

/* .share-experience,
.share-experience div {
    transition: .6s cubic-bezier(.16, 1, .3, 1);
} */

/* .share-experience div span {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 60px;
    padding: 0.75em 1.125em;
} */

/* color del boton en estado normal */
/* .share-experience div:nth-child(1) {
    background-color: #d8bcb0;
} */

/* color del boton al hacer hover */
/* .share-experience div:nth-child(2) {
    background-color: var(--color-hover);
} */

/* color del shadow del boton al hacer hover */
/* .share-experience:hover {
    box-shadow: 0 0.625em 1em 0 var(--color-shadow-btn-hover);
} */

/* .share-experience:hover div {
    transform: translateY(-60px);
    cursor: pointer;
} */

/* .share-experience p {
    font-size: 17px;
    font-weight: bold;
    color: var(--color-text-btn);
} */

/* .share-experience:active {
    transform: scale(0.95);
} */

/* texto del boton con el efecto hover */
/* .share-experience .p2 {
    font-size: 22px;
    color: #fff;
} */


/* ===== TESTIMONIOS NUEVOS ===== */
.testimonials {
    padding: 4rem 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.testimonials::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100"><defs><pattern id="grain" width="100" height="100" patternUnits="userSpaceOnUse"><circle cx="25" cy="25" r="1" fill="%23ffffff" opacity="0.1"/><circle cx="75" cy="75" r="1" fill="%23ffffff" opacity="0.1"/><circle cx="50" cy="10" r="0.5" fill="%23ffffff" opacity="0.1"/></pattern></defs><rect width="100" height="100" fill="url(%23grain)"/></svg>');
    pointer-events: none;
}

.testimonials-header {
    text-align: center;
    margin-bottom: 30px;
    position: relative;
    z-index: 2;
}

.testimonials-subtitle {
    font-size: 1.1rem;
    color: #644831;
    max-width: 600px;
    margin: 0 auto;
    line-height: 1.6;
}

.swiper-container .card-wrapper {
    max-width: 1100px;
    margin: 0 60px 35px;
    padding: 20px 10px;
    overflow: hidden;
}

.card-wrapper .swiper-pagination-bullet {
    width: 13px;
    height: 13px;
    opacity: .5;
    background-color: var(--color-hover);
}

.card-wrapper .swiper-pagination-bullet-active {
    opacity: 1;
}

.card-wrapper .swiper-slide-button {
    color: var(--color-border-btn);
    margin-top: -35px;
}

.testimonial-card {
    background-color: white;
    border-radius: 20px;
    padding: 40px 30px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
    transition: all 0.3s ease;
    height: 350px;
    display: flex;
    flex-direction: column;
    position: relative;
    overflow: hidden;
}

.testimonial-card::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 4px;
    background: linear-gradient(90deg, #eab166 0%, #a27c4b 100%);
}

.testimonial-card:hover {
    transform: translateY(-10px);
}

.testimonial-content {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.stars {
    margin-bottom: 20px;
    font-size: 1.2rem;
}

.testimonial-content img {
    object-fit: cover;
}

.testimonials-next,
.testimonials-prev {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    color: #667eea;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}


.testimonials-next:hover,
.testimonials-prev:hover {
    color: white;
    transform: scale(1.1);
}

/* Estadísticas */
.testimonials-stats {
    display: flex;
    justify-content: center;
    gap: 60px;
    margin: 60px 0 40px;
    position: relative;
    z-index: 2;
}

.stat-item {
    text-align: center;
}

.stat-number {
    display: block;
    font-size: 2.5rem;
    font-weight: 700;
    color: var(--color-border-btn);
    margin-bottom: 8px;
}

.stat-label {
    font-size: 0.9rem;
    color: var(--color-text-p);
    text-transform: uppercase;
    letter-spacing: 1px;
}

/* Botón compartir experiencia */
.share-experience-container {
    text-align: center;
    position: relative;
    z-index: 2;
}

.share-experience-btn {
    background: linear-gradient(135deg, #9b6d41 0%, #d4a05b 100%);
    border: none;
    border-radius: 15px;
    padding: 20px 30px;
    color: white;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 10px 30px rgba(104, 95, 79, 0.623);
    position: relative;
    overflow: hidden;
}

.share-experience-btn::before {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.2), transparent);
    transition: left 0.5s ease;
}

.share-experience-btn:hover::before {
    left: 100%;
}

.share-experience-btn:hover {
    transform: translateY(-3px);
    box-shadow: 0 15px 40px var(--color-shadow-btn-hover);
}

.btn-content {
    display: flex;
    align-items: center;
    gap: 15px;
}

.btn-icon {
    width: 40px;
    height: 40px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn-text {
    text-align: left;
}

.btn-title {
    display: block;
    font-size: 1.1rem;
    font-weight: 600;
    margin-bottom: 4px;
}

.btn-subtitle {
    display: block;
    font-size: 0.9rem;
    opacity: 0.9;
}

/* Testimonials Responsive */
@media (max-width: 768px) {
    .testimonials {
        padding: 60px 0;
    }

    .testimonials-header h2 {
        font-size: 2rem;
    }

    .testimonial-card {
        padding: 30px 20px;
    }

    .testimonials-stats {
        flex-direction: column;
        gap: 30px;
    }

    .stat-number {
        font-size: 2rem;
    }

    .btn-content {
        flex-direction: column;
        gap: 10px;
    }

    .btn-text {
        text-align: center;
    }
}

@media (max-width: 480px) {
    .testimonials-stats {
        gap: 20px;
    }

    .share-experience-btn {
        padding: 15px 20px;
    }

    .testimonial-card blockquote {
        font-size: 1rem;
    }
}










/*? Gallery 2 */
/* .gallery .tab-class .nav { */
/* display: inline-flex; */
/* justify-content: center; */
/* margin-bottom: 3rem; */
/* } */

/* .gallery .tab-class .nav-item { */
/* display: list-item; */
/* padding: 0 0 02px; */
/* text-align: center; */
/* } */

/* .gallery .tab-class .nav-item a { */
/* display: flex; */
/* text-align: center; */
/* background-color: #ff4f9d; */
/* border: 1px solid #ff4f9d; */
/* border-radius: 800px; */
/* color: #cc3f7e; */
/* margin: 0px 16px; */
/* padding: 8px 0px; */
/* } */

/* .gallery .tab-class .nav-item { */
/* padding: 0 0 20px 0; */
/* } */

/* .gallery .tab-class .nav-item a.active { */
/* background: var(--bs-primary) !important; */
/* } */

/* .gallery .tab-class .nav-item a.active span { */
/* color: var(--bs-white) !important; */
/* } */

/* .gallery .gallery-img { */
/* position: relative; */
/* overflow: hidden; */
/* border-radius: 10px; */
/* padding-bottom: 100%; */
/* background-color: #f0f0f0; */
/* } */


/** ========== Gallery section styles ========== */
.gallery {
    padding: 4rem 0;
}

.gallery .gallery-nav-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 3rem;
}

.gallery-nav-links {
    display: flex;
}

.gallery-nav-item a {
    display: flex;
    text-align: center;
    background-color: transparent;
    color: var(--color-text-btn);
    border: 1px solid #4e4e4e;
    border-radius: 10px;
    margin: 0px 16px;
    padding: 6px 8px;
    transition: .3s;
}

.gallery-nav-container ul li a:hover {
    transform: translateY(-2px);
    box-shadow: 0px 8px 10px rgb(105, 58, 20, 0.5);
}

.gallery-nav-container ul li a.active {
    background-color: #9b6131;
    border-color: #693a14;
    color: #fff;
    box-shadow: 0px 8px 10px rgb(105, 58, 20, 0.5);
}

.tab-content .tab-pane {
    display: none;
}

.tab-content .tab-pane.active {
    display: block;
}

.gallery-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 1rem;
}

.gallery-item {
    position: relative;
    padding-bottom: 100%;
    /*aspecto cuadrado*/
    background-color: grey;
    /*color de fondo mientras carga*/
    border-radius: 5px;
    overflow: hidden;
}

.img-gallery-inicio {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    opacity: 0;
    transition: opacity .3s ease-in-out;
}

.gallery-item img {
    transition: .3s ease-in-out;
}

.img-gallery-inicio.loaded {
    opacity: 1;
}

/* .gallery .btn {
    display: block;
    width: 200px;
    margin: 2rem auto 0;
    text-align: center;
} */

/** ========== Contact section styles ========== */
.contact {
    padding: 4rem 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contact-cards {
    display: flex;
    justify-content: center;
    gap: 2rem;
    width: 100%;
    max-width: 800px;

}

.contact-card {
    background-color: white;
    border-radius: 12px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1);
    padding: 2rem;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    width: 100%;
    max-width: 300px;
}

.contact-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 15px 30px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.contact-icon {
    margin-bottom: 1rem;
}

.contact-icon i {
    font-size: 3rem;
}

.contact-title {
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
    color: #333;
}

.contact-info {
    font-size: 1.2rem;
    color: #666;
    font-weight: 500;
}

/** ========== FOOTER ========== */
footer {
    background-color: #6b4f37;
    padding: 20px 0;
}

.footer-row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

footer .container .footer-row:nth-child(2) {
    align-items: start;
}

.footer-logo img {
    max-width: 150px;
}

.footer-social a {
    margin: 0 10px;
    font-size: 1.5em;
    color: #d8d8d8;
    transition: .3s;
}

.footer-social a:hover {
    color: var(--color-hover);
}

.footer-column {
    flex: 1;
    min-width: 150px;
    margin: 10px 0;
}

.footer-column h3 {
    margin-bottom: 1.2rem;
    color: #f59268;
    position: relative;
}

.footer-column h3::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 50px;
    height: 2px;
    background-color: var(--color-hover);
}

.footer-column ul {
    list-style: none;
    padding: 0;
}

.footer-column ul li {
    margin-bottom: 5px;
}

.footer-column ul li a {
    color: #d8d8d8;
    text-decoration: none;
}

.footer-column ul li a:hover {
    text-decoration: underline;
}

.footer-row p {
    text-align: center;
    width: 100%;
    margin: 0;
    color: #f8f8f8;
}

.hr-footer {
    margin-bottom: 10px;
}

.footer-row .footer-copy-2 a {
    color: #7591A6;
}

.footer-row .footer-copy-2 a:hover {
    text-decoration: underline;
}

/* responsive del footer */
@media (max-width: 768px) {
    footer .container .footer-row {
        flex-direction: column;
        text-align: center;
    }

    footer .container .footer-row:nth-child(2) {
        align-items: center;
    }

    .footer-column {
        margin: 10px 0;
    }

    .footer-column h3::after {
        display: none;
    }

}

/** ========== Banner Terminos y Condiciones ========== */
/* Estilos para el Banner de Términos y Condiciones */
.terms-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #f8f0e3;
    color: #3f2a25;
    font-weight: 500;
    padding: 15px 20px;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    /* Asegura que esté por encima de otro contenido */
    /* display: none; */
    /* Inicialmente oculto, JavaScript lo mostrará */
    opacity: 0;
    /* Inicia invisible para la animación de entrada */
    transform: translateY(100%);
    /* Inicia abajo, fuera de la pantalla para animación de entrada */
    visibility: hidden;
    /* Inicia oculto del DOM y no interactuable */
    transition: opacity 1s ease-out, transform 1s ease-out, visibility 0s linear 1s;
    font-size: 0.9em;
    border-top: 1px solid #e0d5c6;
}

/* Clase para mostrar el banner con animación */
.terms-banner--visible {
    opacity: 1;
    transform: translateY(0);
    visibility: visible;
    transition: opacity 0.7s ease-out, transform 0.7s ease-out, visibility 0s linear 0s;
}

/* Clase para ocultar el banner con animación */
.terms-banner--hiding {
    opacity: 0;
    transform: translateY(100%);
    /* Lo desliza hacia abajo al ocultarse */
    visibility: hidden;
    /* Se oculta después de la transición de opacidad y transformación */
    /* La transición se define en la clase base .terms-banner */
}

.terms-banner-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    /* Para que se ajuste en pantallas pequeñas */
    max-width: 1200px;
    /* Limita el ancho del contenido en pantallas grandes */
    margin: 0 auto;
    /* Centra el contenido */
    gap: 15px;
    /* Espacio entre texto y botón si se envuelven */
}

.terms-banner-text {
    margin: 0;
    flex-grow: 1;
    /* Permite que el texto ocupe el espacio disponible */
    line-height: 1.5;
}

.terms-banner-link {
    color: #8D6E63;
    /* Un color que destaque ligeramente, como el de tu footer */
    text-decoration: underline;
    font-weight: bold;
}

.terms-banner-link:hover {
    color: #5D4037;
}

.terms-banner-button {
    background-color: #8D6E63;
    /* Color del botón, similar al newsletter de tu footer */
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s ease;
    white-space: nowrap;
    /* Evita que el texto del botón se parta */
}

.terms-banner-button:hover {
    background-color: #795548;
}

/* Para pantallas más pequeñas */
@media (max-width: 768px) {
    .terms-banner-content {
        flex-direction: column;
        text-align: center;
    }

    .terms-banner-text {
        margin-bottom: 15px;
    }
}


/** ========== Responsive ========== */

@media screen and (max-width: 480px) {
    .container h2 {
        font-size: 2rem;
    }

    .hamburger {
        display: flex;
    }

    .nav-links {
        position: fixed;
        top: 0;
        right: -100%;
        height: 100vh;
        width: 250px;
        background: white;
        flex-direction: column;
        padding: 80px 20px;
        transition: right .3s ease;
        box-shadow: -2px 0 10px rgba(0, 0, 0, 0.1);
    }

    .nav-links.active {
        right: 0;
    }

    .hamburger.active span:nth-child(1) {
        transform: rotate(45deg) translate(5px, 8px);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        transform: rotate(-45deg) translate(5px, -8px);
    }

    .hero-container {
        flex-direction: column;
    }

    .hero-img {
        margin-top: 4rem;
        max-width: 100%;
        margin-bottom: 1rem;
    }

    .hero-content {
        padding: 1rem 0;
    }

    .hero-title {
        font-size: 2.5rem;
        text-align: center;
    }

    .hero-description {
        text-align: center;
    }

    /* seccion de promos */
    /* .promo-grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
    } */

    /* .promo-content {
        height: auto;
        padding: .5rem .8rem .8rem .8rem;
    } */

    /* .promo-content h3 {
        font-size: 1.2rem;
        margin-bottom: .3rem;
    } */

    /* .promo-content p {
        font-size: 0.85rem;
        margin-bottom: 1rem;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    } */

    /* .promo-card .promo-tag {
        font-size: 7px;
    } */

    /* .promo-content .feature-tags {
        display: none;
    } */

    .promo-content {
        height: auto;
    }
    
    .about-content {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 2rem;
        text-align: left;
    }

    .img-about-inicio {
        width: 100%;
    }

    .about-text ul {
        margin-left: 0;
    }


    /** ==== galeria ==== */
    /* nav links */
    .gallery-nav-links {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 6px;
    }

    /* grid recuadros img */
    .gallery-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Contacto */
    .contact-cards {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    /* Footer */
    .footer-content {
        flex-direction: column-reverse;
        align-items: center;
        justify-content: center;
        gap: 1rem;
    }

    .footer-links {
        text-align: center;
    }

    .whatsapp-btn {
        width: 40px;
        height: 40px;
        bottom: 15px;
        right: 15px;
    }

    .whatsapp-btn i {
        font-size: 25px;
    }

}

@media (min-width: 481px) and (max-width: 768px) {
    .hamburger {
        display: flex;
    }

    .nav-links {
        position: fixed;
        top: 0;
        right: -100%;
        height: 100vh;
        width: 250px;
        background: white;
        flex-direction: column;
        padding: 80px 20px;
        transition: right .3s ease;
        box-shadow: -2px 0 10px rgba(0, 0, 0, 0.1);
    }

    .nav-links.active {
        right: 0;
    }

    .hamburger.active span:nth-child(1) {
        transform: rotate(45deg) translate(5px, 8px);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        transform: rotate(-45deg) translate(5px, -8px);
    }

    .hero-container {
        flex-direction: column;
    }

    .hero-img {
        margin-top: 4rem;
        max-width: 100%;
        margin-bottom: 1rem;
    }

    .hero-content {
        padding: 1rem 0;
    }

    .hero-title {
        font-size: 2.5rem;
        text-align: center;
    }

    .hero-description {
        text-align: center;
    }

    /* seccion promos */
    .promo-grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
    }

    .promo-content {
        height: auto;
        padding: .5rem .8rem .8rem .8rem;
    }

    .promo-content h3 {
        font-size: 1.2rem;
        margin-bottom: .3rem;
    }

    /* .promo-content p {
        display: -webkit-box;
        -webkit-line-clamp: 4;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    } */

    .promo-card .promo-tag {
        font-size: 7px;
    }

    .promo-content .feature-tags {
        display: none;
    }

    .about-content {
        flex-direction: column;
    }

    .img-about-inicio {
        width: 100%;
    }

    /** ==== galeria ==== */
    /* nav links */
    .gallery-nav-links {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 6px;
    }

    /* grid recuadros img */
    .gallery-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    /* ===== contacto ===== */
    .contact-cards {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    /* ===== Footer ===== */
    .footer-content {
        flex-direction: column-reverse;
        align-items: center;
        justify-content: center;
        gap: 1rem;
    }

    .footer-links {
        text-align: center;
    }

    .whatsapp-btn {
        width: 50px;
        height: 50px;
        bottom: 15px;
        right: 15px;
    }

    .whatsapp-btn i {
        font-size: 30px;
    }
}

@media screen and (min-width: 770px) and (max-width: 1280px) {

    .promo-content {
        height: auto;
    }
}

/* @media screen and (max-width: 390px) {
    .promo-grid {
        grid-template-columns: 1fr;
        gap: 1.5rem;
    }
    
    .promo-content {
        height: auto;
        padding: .8rem 1rem 1rem 1rem;
    }
    
    .promo-content h3 {
        font-size: 1.3rem;
        margin-bottom: .5rem;
    }
    
    .promo-content p {
        font-size: 0.9rem;
        -webkit-line-clamp: 4;
    }
    
    .btn {
        max-width: 100%;
        width: 100%;
        margin: 5px 0;
        text-align: center;
    }
} */

/* Animacion de scroll */
.promo-card,
.service-card,
.about,
.testimonials {
    animation: appear linear;
    animation-timeline: view();
    animation-range: entry 0% cover 30%;
}

@keyframes appear {
    from {
        opacity: 0;
        scale: 0.5;
    }

    to {
        opacity: 1;
        scale: 1;
    }
}